#!/bin/sh
#
# $FreeBSD: ports/security/amavisd-new/files/amavisd.sh.tmpl,v 1.7 2004/07/18 10:05:50 vanilla Exp $
#

# PROVIDE: amavisd
# REQUIRE: LOGIN
# BEFORE: mail
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable amavisd:
#
#amavisd_enable="YES"
#

. /etc/rc.subr

name=amavisd
rcvar=`set_rcvar`

command=/usr/local/sbin/amavisd > /dev/null 2>&1

amavisd_flags="-u vscan"

pidfile=/var/amavis/amavisd.pid
required_files=/usr/local/etc/amavisd.conf

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

amavisd_enable=${amavisd_enable:-"NO"}
amavisd_flags=${amavisd_flags:-""}

load_rc_config $name
run_rc_command "$1"
